--- /mnt/shared/gradle/subprojects/core/src/main/groovy/org/gradle/logging/LoggingServiceRegistry.java	2011-07-22 15:01:38.204377700 +0200
+++ subprojects/core/src/main/groovy/org/gradle/logging/LoggingServiceRegistry.java	2011-07-22 15:23:02.448619777 +0200
@@ -106,10 +106,15 @@
 
     protected OutputEventRenderer createOutputEventRenderer() {
         Spec<FileDescriptor> terminalDetector;
-        if (detectConsole) {
-            StartParameter startParameter = new StartParameter();
-            terminalDetector = new TerminalDetector(startParameter.getGradleUserHomeDir());
-        } else {
+        try {
+            if (detectConsole) {
+                StartParameter startParameter = new StartParameter();
+                terminalDetector = new TerminalDetector(startParameter.getGradleUserHomeDir());
+            } else {
+                terminalDetector = Specs.satisfyNone();
+            }
+        } catch (Exception xc) {
+            // Detection does not work for esoteric stuff - AIX on ppc64, Solaris on Intel, Android on Cortex-A8, ...
             terminalDetector = Specs.satisfyNone();
         }
         return new OutputEventRenderer(terminalDetector).addStandardOutputAndError();
